'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

exports.default = function (_ref) {
  var t = _ref.types;

  return {
    visitor: {
      MemberExpression: function MemberExpression(path, state) {
        var node = path.node;
        var file = path.file;

        var re = new RegExp(state.opts.matchPattern, 'g');

        if (t.isCallExpression(node.object) && t.isIdentifier(node.object.callee, { name: 'require' }) && t.isLiteral(node.object.arguments[0]) && node.object.arguments[0].value.match(re)) {
          var srcPath = _path2.default.resolve(state.file.opts.filename);
          var pkg = require(_path2.default.join(srcPath, '..', node.object.arguments[0].value));
          var value = pkg[node.property.name];

          path.replaceWith(t.expressionStatement(t.valueToNode(value)));
        }
      }
    }
  };
};

var _path = require('path');

var _path2 = _interopRequireDefault(_path);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }